<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#
$time=time();
$php_self=$_SERVER['PHP_SELF'];

$old_ips = file(BASEDIR."local/ban.dat");
foreach($old_ips as $old_ip_line){
$ip_arr = explode("|", $old_ip_line);

$ip_check_matches = 0;
$db_ip_split = explode(".", $ip_arr[1]);
$this_ip_split = explode(".", $ip);

for($i_i=0;$i_i<4;$i_i++){
if ($this_ip_split[$i_i] == $db_ip_split[$i_i] or $db_ip_split[$i_i] == '*') {
$ip_check_matches += 1;}}

if ($ip_check_matches == 4) {header ("Location: ".BASEDIR."pages/banip.php?".SID);  exit;} //бан по IP
}

 
if (isset($_SESSION['log']) && isset($_SESSION['par'])) { 
$tex = file(BASEDIR."local/profil/$log.prof"); 
$udat = explode(":||:",$tex[0]);
if(!empty($udat[20])){$config_themes=trim($udat[20]);}      # Тема/Скин
if(!empty($udat[21])){$config_bookpost=trim($udat[21]);}    # Гостевая
if(!empty($udat[22])){$config_postnews=trim($udat[22]);}    # Новости
if(!empty($udat[23])){$config_forumpost=trim($udat[23]);}   # Форум посты
if(!empty($udat[24])){$config_forumtem=trim($udat[24]);}    # Форум темы
if(!empty($udat[25])){$config_userlist=trim($udat[25]);}    # Юзерлист
if(!empty($udat[26])){$config_chatpost=trim($udat[26]);}    # Cообщений на страницу в чате
if(!empty($udat[27])){$config_chatrew=trim($udat[27]);}     # Время автообновления чата в сек
if(!empty($udat[28])){$config_boardspost=trim($udat[28]);}  # Объявления
if(!empty($udat[29])){$config_showdays=trim($udat[29]);}    # Показывать Время Суток
if(!empty($udat[30])){$config_clocks=trim($udat[30]);}      # Временной сдвиг
if(!empty($udat[31])){$config_showtime=trim($udat[31]);}    # Показывать Часы и день недели
if(!empty($udat[32])){$config_privatpost=trim($udat[32]);}  # Писем в привате на стр.

 
if($udat[37]=="1" || $_COOKIE['cookid']=="1"){
if(!stristr($php_self,'pages/ban.php')){header ("Location: ".BASEDIR."pages/ban.php?log=$log&".SID);  exit;}} //если есть бан 

if($udat[46]=="1"){
if(!stristr($php_self,'pages/key.php')){header ("Location: ".BASEDIR."pages/key.php?log=$log&".SID);  exit;}} //если нужно подтверждение реги

if($time>$udat[53] && $udat[54]>0){
if(!stristr($php_self,'games/kredit')){header ("Location: ".BASEDIR."games/kredit.php?".SID);  exit;}} //если просрочен кредит	
		
if($udat[42]=="0"){function img($image) {return preg_replace('/<img\s+(.*)>/iU','&#187;', $image);} ob_start("img");}//графика
	
	
//---------------------- функция проверки ip и браузера -----------------------//
if($udat[66]==1){
$pr_ip = explode(".",$ip);
$new_ip=$pr_ip[0].$pr_ip[1].$pr_ip[2];	

if($new_ip!=$_SESSION['my_ip'] || $brow!=$_SESSION['my_brow']){
session_unset();
setcookie(session_name(), '');
session_destroy();
}}

//------------------------ Запись текущей страницы для юзера ------------------------------//	
if (!stristr($php_self,$config_mpanel)){
$lines=file(BASEDIR."local/who.dat");
$count=count($lines);
for ($b=0; $b<$count; $b++) { list($sinbase)=explode("|",$lines[$b]); if ( $log == "$sinbase") { $del=$b;

$fp=fopen(BASEDIR."local/who.dat","w");
flock ($fp,LOCK_EX);
unset($lines[$del]);
fputs($fp, implode("",$lines));
flock ($fp,LOCK_UN);
fclose($fp);} }
 
$log_name=check($_SESSION['log']);
$php_self=check($php_self);

$ttt=$log_name.'|'.$php_self.'|'.$counton.'|'.$time.'|';
$ttt=htmlspecialchars(stripslashes($ttt));

$fp = fopen(BASEDIR."local/who.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$ttt\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0666);
chmod (BASEDIR."local/who.dat", 0666);

$file=file(BASEDIR."local/who.dat"); $i = count($file);
if ($i>=$config_lastusers) {
$fp=fopen(BASEDIR."local/who.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0666);
chmod (BASEDIR."local/who.dat", 0666);}

}else{
//------------------------ Запись текущей страницы для админов -----------------------------//
$log_name=check($_SESSION['log']);
$http_referer = check(trim($_SERVER['HTTP_REFERER']));
$referer=strtok($http_referer,'SID');
if($referer==""){$referer='Не определено';}
$request_uri = urldecode(check($_SERVER['REQUEST_URI']));
$request=strtok($request_uri,'SID');

$adm_log='|'.$brow.'|'.$ip.'|'.$log_name.'|'.$request.'|'.$referer.'|'.$time.'|';
$adm_log=htmlspecialchars(stripslashes($adm_log));

$fp = fopen(BASEDIR."local/datalog/admin.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$adm_log\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0666);
chmod (BASEDIR."local/datalog/admin.dat", 0666);


$logfile=file(BASEDIR."local/datalog/admin.dat"); 
$i = count($logfile);
if ($i>=300) {
$fp=fopen(BASEDIR."local/datalog/admin.dat","w");
flock ($fp,LOCK_EX);
unset($logfile[0],$logfile[1],$logfile[2]);
fputs($fp, implode("",$logfile));
flock ($fp,LOCK_UN);
fclose($fp);
}

}}

//------------------------ Отключение кеширования -----------------------------//
if($config_nocache=="0"){
Header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); 
Header("Cache-Control: no-cache, must-revalidate"); 
Header("Pragma: no-cache"); 
Header("Last-Modified: ".gmdate("D, d M Y H:i:s")."GMT");
}

if(!file(BASEDIR."themes/$config_themes/index.php")){$config_themes="default";}
if(!empty($_SESSION['my_themes'])){$config_themes=$_SESSION['my_themes'];}


?>